Skip to main content
PUT
/
api
/
v1
/
apps
/
{app_id}
/
access
Replace an app's access (cards/banks/scope) — owner only
curl --request PUT \
  --url https://api.hevn.finance/api/v1/apps/{app_id}/access \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cards": [],
  "banks": [],
  "scope": []
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "access": {
    "cards": [],
    "banks": [],
    "scope": []
  },
  "smartWalletAddress": "<string>",
  "lastUsed": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Path Parameters

app_id
string<uuid>
required

Body

application/json
cards
string<uuid>[]
banks
string<uuid>[]
scope
string[]

Response

Successful Response

id
string<uuid>
required
name
string
required
access
ApiAppAccess · object
required
smartWalletAddress
string
required
lastUsed
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required